mv(1)

NAME
mv - Move SOURCE to DEST, or multiple SOURCE(s) to DIRECTORY.

SYNOPSIS
mv [-f|--force] [-i|--interactive] [-n|--no-clobber] [--strip-trailing-slashes] [--backup] [-b ] [-S|--suffix] [--update] [-u ] [-t|--target-directory] [-T|--no-target-directory] [-v|--verbose] [-g|--progress] [-Z ] [--context] [--debug] [-h|--help] [-V|--version] <files>

DESCRIPTION
Move SOURCE to DEST, or multiple SOURCE(s) to DIRECTORY.

OPTIONS

-f, --force
    do not prompt before overwriting

-i, --interactive
    prompt before override

-n, --no-clobber
    do not overwrite an existing file

--strip-trailing-slashes
    remove any trailing slashes from each SOURCE argument

--backup[=<CONTROL>]
    make a backup of each existing destination file

-b  like --backup but does not accept an argument

-S, --suffix <SUFFIX>
    override the usual backup suffix

--update
    move only when the SOURCE file is newer than the destination file or when the destination file is missing
    [possible values: none, all, older, none-fail]

-u  like --update but does not accept an argument

-t, --target-directory <DIRECTORY>
    move all SOURCE arguments into DIRECTORY

-T, --no-target-directory
    treat DEST as a normal file

-v, --verbose
    explain what is being done

-g, --progress
    Display a progress bar. Note: this feature is not supported by GNU coreutils.

-Z  set SELinux security context of destination file to default type

--context[=<CTX>]
    like -Z, or if CTX is specified then set the SELinux security context to CTX

--debug
    explain how a file is copied. Implies -v

-h, --help
    Print help

-V, --version
    Print version

<files>

EXTRA
When specifying more than one of -i, -f, -n, only the final one will take effect. Do not move a non-directory that has an existing destination with the same or newer modification timestamp; instead, silently skip the file without failing. If the move is across file system boundaries, the comparison is to the source timestamp truncated to the resolutions of the destination file system and of the system calls used to update timestamps; this avoids duplicate work if several mv -u commands are executed with the same source and destination. This option is ignored if the -n or --no-clobber option is also specified. which gives more control over which existing files in the destination are replaced, and its value can be one of the following: - all This is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. - none This is similar to the --no-clobber option, in that no files in the destination are replaced, but also skipping a file does not induce a failure. - older This is the default operation when --update is specified, and results in files being replaced if they’re older than the corresponding source file. The backup suffix is '~', unless set with --suffix or SIMPLE_BACKUP_SUFFIX. The version control method may be selected via the --backup option or through the VERSION_CONTROL environment variable. Here are the values:
  none, off never make backups (even if --backup is given)
  numbered, t make numbered backups
  existing, nil numbered if numbered backups exist, simple otherwise
  simple, never always make simple backups

VERSION
v(uutils coreutils) 0.2.2